This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 822172

Summary: [as7] code that discovers the domain controller address does not handle the --master-port host controller command line option
Product: [Other] RHQ Project Reporter: Heiko W. Rupp <hrupp>
Component: PluginsAssignee: Charles Crouch <ccrouch>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: urgent    
Version: 4.4CC: ccrouch, hbrock, hrupp, vnguyen
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820648 Environment:
Last Closed: 2013-09-03 11:10:40 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 820648    
Bug Blocks: 707223    

Description Heiko W. Rupp 2012-05-16 10:33:45 EDT
+++ This bug was initially created as a clone of Bug #820648 +++

From host.xml:

    <domain-controller>
       <local/>
       <!-- Alternative remote domain controller configuration with a host and port -->
       <!-- <remote host="${jboss.domain.master.address}" port="${jboss.domain.master.port:9999}" security-realm="Manage
mentRealm"/> -->
    </domain-controller>

From usage of domain.sh:

    --master-address=<address>          Set system property 
                                        jboss.domain.master.address to the 
                                        given value. In a default slave Host 
                                        Controller config, this is used to 
                                        configure the address of the master 
                                        Host Controller.

    --master-port=<port>                Set system property 
                                        jboss.domain.master.port to the given 
                                        value. In a default slave Host 
                                        Controller config, this is used to 
                                        configure the port used for native 
                                        management communication by the master 
                                        Host Controller.


In HostConfiguration.getHostPort(), while parsing the domain controller command line, we check for the --master-address option, but not for the --master-port option.

--- Additional comment from ian.springer@redhat.com on 2012-05-12 21:49:14 EDT ---

Fixed in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=349caa7
Comment 1 Ian Springer 2012-05-16 10:39:19 EDT
Cherry-picked to 3.1.x branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=7a00529
Comment 2 Viet Nguyen 2012-05-29 10:13:35 EDT
verified in 3.1 ER5
Comment 4 Heiko W. Rupp 2013-09-03 11:10:40 EDT
Bulk closing of old issues in VERIFIED state.